
package com.tmerclub.cloud.api.payment.dto;

import com.tmerclub.cloud.api.payment.vo.SplitRuleVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author lhd
 * @date 2022/03/13
 */
public class AllinpaySettlementApiDto implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 用户支付单号
     * 存在预售订单两笔支付的情况
     */
    private List<Long> payIds;
    /**
     * 订单id
     */
    private String orderId;
    /**
     * 商家收入明细
     */
    private SplitRuleVO shopSplitRuleVO;
    /**
     * 供应商收入明细
     */
    private SplitRuleVO supplierSplitRuleVO;
    /**
     * 平台收入明细
     */
    private SplitRuleVO platformSplitRuleVO;
    /**
     * 分销员收入明细
     */
    private List<SplitRuleVO> distributionUserSplitRuleList;

    public List<Long> getPayIds() {
        return payIds;
    }

    public void setPayIds(List<Long> payIds) {
        this.payIds = payIds;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public SplitRuleVO getShopSplitRuleDto() {
        return shopSplitRuleVO;
    }

    public void setShopSplitRuleDto(SplitRuleVO shopSplitRuleVO) {
        this.shopSplitRuleVO = shopSplitRuleVO;
    }

    public SplitRuleVO getSupplierSplitRuleDto() {
        return supplierSplitRuleVO;
    }

    public void setSupplierSplitRuleDto(SplitRuleVO supplierSplitRuleVO) {
        this.supplierSplitRuleVO = supplierSplitRuleVO;
    }

    public SplitRuleVO getPlatformSplitRuleDto() {
        return platformSplitRuleVO;
    }

    public void setPlatformSplitRuleDto(SplitRuleVO platformSplitRuleVO) {
        this.platformSplitRuleVO = platformSplitRuleVO;
    }

    public List<SplitRuleVO> getDistributionUserSplitRuleList() {
        return distributionUserSplitRuleList;
    }

    public void setDistributionUserSplitRuleList(List<SplitRuleVO> distributionUserSplitRuleList) {
        this.distributionUserSplitRuleList = distributionUserSplitRuleList;
    }
}
